<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiAdmin\Types\OrderPayment\Input;

use KupShop\GraphQLBundle\ApiAdmin\Types\Parameters;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Input;

#[Input]
class OrderPaymentFilterInput
{
    /**
     * @var int[]
     */
    #[Field(description: 'Filtr podle ID objednávek')]
    public ?array $id;

    public function getParameters(): Parameters
    {
        $vars = get_object_vars($this);

        return new Parameters($vars);
    }
}
